{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.swap {
  # Gestion du swap
  
  # https://en.wikipedia.org/wiki/Swappiness
  boot.kernel.sysctl = {
    # le swap est activé (!= 0)
    # le swap est utilisé lorsque (100 - x) % de la mémoire est déja allouée
    "vm.swappiness" = 10;
  };
}
